import gql from 'graphql-tag'

export * from './trackable-object'
export * from './trackable-object-list'
export * from './trackable-object-state-input'

export const TrackableObjectResolver = gql`
  extend type Mutation {
    updateTrackableObjectState(name: String!, state: TrackableObjectStateInput!): TrackableObject
  }

  extend type Query {
    trackableObjects(filters: [Filter], pagination: Pagination, sortings: [Sorting]): TrackableObjectList
    trackableObject(name: String!): TrackableObject
  }
`
